{% extends 'base.html' %}
{% load static %}

{% block title %}
    Scrumptious Recipes
{% endblock title %}

{% block content %}
    <header>
        <nav>
            <a href="{% url 'recipe_list' %}">Main Page</a>
            <a href="{% url 'create_recipe' %}">Create a Recipe</a>
        </nav>
    </header>
    <main>
        <h1>Scrumptious Recipes</h1>
        <h2>All the food that's fit to eat</h2>
        <div class="container">
            {% for recipe in recipe_list %}
            <div>
                <h3>
                    <a href="{% url 'show_recipe' recipe.id %}">{{ recipe.title }}</a>
                </h3>
                <p>{{ recipe.created_on|date:"j F Y" }}</p>
                <img src="{{ recipe.picture }}" alt="">
                <div>4.3 Stars</div>
            </div>
            {% empty %}
                <p>There are no recipes.</p>
            {% endfor %}
        </div>  
    </main>
{% endblock content %}
